Index: LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90	(revision 4143)
@@ -27,5 +27,5 @@
   USE add_phys_tend_mod, only : fl_cor_ebil 
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso,index_trac,ntraceurs_zone
+  USE infotrac_phy, ONLY: ntraciso=>ntiso,niso,itZonIso
   USE isotopes_mod
 !, ONLY: essai_convergence,bidouille_anti_divergence, &
@@ -1510,5 +1510,5 @@
                    zxtn(iso_eau,i)=zqn(i)
 #ifdef ISOTRAC
-                   zxtn(index_trac(izone_poubelle,iso_eau),i)=zqn(i)  
+                   zxtn(itZonIso(izone_poubelle,iso_eau),i)=zqn(i)  
                    if (option_tmin.eq.1) then                   
                      zxtcs(iso_eau,i)=zqcs(i)
@@ -1848,6 +1848,6 @@
            ! part le tag résuel et le condensat
            if (iso_verif_positif_choix_nostop( &
-     &           zxt_ancien(index_trac(izone,iso_eau),i) &
-     &          -zxt(index_trac(izone,iso_eau),i),1e-8,'ilp 1270') &
+     &           zxt_ancien(itZonIso(izone,iso_eau),i) &
+     &          -zxt(itZonIso(izone,iso_eau),i),1e-8,'ilp 1270') &
      &          .eq.1) then
             write(*,*) 'i,izone,rneb=',i,izone,rneb(i,k)
Index: LMDZ6/trunk/libf/phylmdiso/fonte_neige_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/fonte_neige_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/fonte_neige_mod.F90	(revision 4143)
@@ -629,5 +629,5 @@
         ! de dépendance circulaire.
 
-    USE infotrac_phy, ONLY: ntraciso,niso
+    USE infotrac_phy, ONLY: ntiso,niso
     USE isotopes_mod, ONLY: iso_eau    
   USE indice_sol_mod    
@@ -639,5 +639,5 @@
          ! inputs
         integer klon,knon
-        real xtprecip_snow(ntraciso,klon),xtprecip_rain(ntraciso,klon)
+        real xtprecip_snow(ntiso,klon),xtprecip_rain(ntiso,klon)
     INTEGER, INTENT(IN)                  :: nisurf
     INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
